Bug 20008 - Restrictions added from memberentry.pl have expiration date ignored if TimeFormat is 12hr
Summary: Restrictions added from memberentry.pl have expiration date ignored if TimeFo...
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-17 19:29 UTC by Kyle M Hall
Modified: 2018-04-04 19:08 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20008 - Restrictions added from memberentry.pl have expiration date ignored if TimeFormat is 12hr (1.07 KB, patch)
2018-01-17 19:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20008 - Restrictions added from memberentry.pl have expiration date ignored if TimeFormat is 12hr (1.09 KB, patch)
2018-01-17 19:40 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20008 - Restrictions added from memberentry.pl have expiration date ignored if TimeFormat is 12hr (1.14 KB, patch)
2018-02-09 20:58 UTC, Roch D'Amour
Details | Diff | Splinter Review
Bug 20008: Fix restrictions added from memberentry.pl if TimeFormat is 12hr (1.17 KB, patch)
2018-02-11 15:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2018-01-17 19:29:26 UTC
To recreate:
1) Set TimeFormat to 12 hour
2) Add a restriction with an expiration date via memberentry.pl
3) Note the restriction exists, but has no expiration date
Comment 1 Kyle M Hall 2018-01-17 19:31:19 UTC
Created attachment 70635 [details] [review]
Bug 20008 - Restrictions added from memberentry.pl have expiration date ignored if TimeFormat is 12hr

Test Plan:
1) Set TimeFormat to 12 hour
2) Add a restriction with an expiration date via memberentry.pl
3) Note the restriction exists, but has no expiration date
4) Apply this patch
5) Repeat step 2
6) Note the restriction exists and has an expiration date!
Comment 2 Kyle M Hall 2018-01-17 19:40:32 UTC
Created attachment 70636 [details] [review]
Bug 20008 - Restrictions added from memberentry.pl have expiration date ignored if TimeFormat is 12hr

Test Plan:
1) Set TimeFormat to 12 hour
2) Add a restriction with an expiration date via memberentry.pl
3) Note the restriction exists, but has no expiration date
4) Apply this patch
5) Repeat step 2
6) Note the restriction exists and has an expiration date!
Comment 3 Roch D'Amour 2018-02-09 20:58:56 UTC
Created attachment 71401 [details] [review]
Bug 20008 - Restrictions added from memberentry.pl have expiration date ignored if TimeFormat is 12hr

Test Plan:
1) Set TimeFormat to 12 hour
2) Add a restriction with an expiration date via memberentry.pl
3) Note the restriction exists, but has no expiration date
4) Apply this patch
5) Repeat step 2
6) Note the restriction exists and has an expiration date!

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Comment 4 Katrin Fischer 2018-02-11 15:38:14 UTC
Created attachment 71405 [details] [review]
Bug 20008: Fix restrictions added from memberentry.pl if TimeFormat is 12hr

Test Plan:
1) Set TimeFormat to 12 hour
2) Add a restriction with an expiration date via memberentry.pl
3) Note the restriction exists, but has no expiration date
4) Apply this patch
5) Repeat step 2
6) Note the restriction exists and has an expiration date!

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-02-12 18:50:00 UTC
Related to bug 20178
Comment 6 Jonathan Druart 2018-02-12 19:07:45 UTC
It seems that we must be the module instead.

Kyle can you take a look at bug 20178 and tell me if the patch fixes your issue?

*** This bug has been marked as a duplicate of bug 20178 ***
Comment 7 Jonathan Druart 2018-02-28 17:37:50 UTC
I will reevaluate this later but I think we should provide a global solution, see bug 20178.
Comment 8 Jonathan Druart 2018-04-04 18:49:05 UTC
This patch is not perfect but fixes the problem.

I still think it must be fixed globally.
Comment 9 Jonathan Druart 2018-04-04 19:08:12 UTC
Pushed to master for 18.05, thanks to everybody involved!